body {
  font-family: "Quicksand", sans-serif;
  margin: 0;
  font-size: 18px;
  height: 100vh;
  width: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: column;
}

:root {
  --primary: #9333ea;
  --primary-light: rgb(164, 81, 241);
  --success: #22c55e;
  --border: #888888;
}

* {
  box-sizing: border-box;
}

.wrapper {
  max-width: 1460px;
  width: 100%;
  margin: auto;
  height: 100%;
  padding: 0 30px;
}

nav {
  min-height: 5.8em;
  background-color: #fff;
  width: 100vw;
}

h1 {
  margin: 0;
  letter-spacing: 1px;
  font-size: 2em;
}

.logo-container {
  display: flex;
  align-items: center;
  gap: 30px;
}

.logo {
  width: 52px;
}

.nav-content {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.content {
  flex-grow: 1;
  background-color: #e6e6e6;
  width: 100vw;
}

.main-content-container {
  display: flex;
  height: 100%;
}

.left-section {
  flex: 1 1 0px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 20px;
}

.right-section {
  flex: 1 1 0px;
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  gap: 30px;
}

.img-1 {
  width: 300px;
  transform: translateY(-40px);
  border-radius: 14px;
  box-shadow: 0 0 14px 0 #cfcfcf;
}

.img-2 {
  width: 300px;
  transform: translateY(40px);
  border-radius: 14px;
  box-shadow: 0 0 14px 0 #cfcfcf;
}

.header {
  font-size: 4em;
  font-weight: 600;
}

.sub-header {
  font-size: 1.4em;
}

.button-container {
  margin-top: 50px;
  display: flex;
  gap: 20px;
}

button:disabled,
button[disabled] {
  border: none;
  background-color: var(--border);
  width: fit-content;
  padding: 16px 22px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  color: #fff;
  gap: 14px;
  font-size: 1.2em;
  cursor: pointer;
  transition-duration: 200ms;
  pointer-events: none;
}

.download-button {
  border: none;
  background-color: var(--primary);
  width: fit-content;
  padding: 16px 22px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  color: #fff;
  gap: 14px;
  font-size: 1.2em;
  cursor: pointer;
  transition-duration: 200ms;
}

.download-button:hover {
  background-color: var(--primary-light);
}

.download-button > img {
  transition-duration: 200ms;
}
.download-button:hover > img {
  transform: scale(1.14);
}

footer {
  min-height: 5.8em;
  width: 100%;
}

.footer-content {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.name {
  all: unset;
  text-decoration: none;
  color: var(--primary);
  cursor: pointer;
}

.name:hover {
  text-decoration: underline;
}

.buy-coffee {
  all: unset;
  display: flex;
  align-items: center;
  gap: 14px;
  background-color: var(--primary);
  padding: 10px 14px;
  border-radius: 12px;
  color: #fff;
  font-family: "Grand Hotel", cursive;
  font-size: 1.4em;
  cursor: pointer;
  -webkit-app-region: no-drag;
  transition-duration: 200ms;
  box-shadow: 0 4px 4px 0 #b4b4b4;
}

.buy-coffee:active {
  transform: translate(0, 3px);
  box-shadow: 0 1px 4px 0 #bebebe;
}

.buy-coffee-icon {
  width: 20px;
}

a {
  text-transform: none;
  text-decoration: none;
}

.mobile-image-container {
  display: flex;
  justify-content: center;
  padding: 28px 0;
  display: none;
}

.mobile-image {
  width: 78%;
  border-radius: 14px;
  box-shadow: 0 0 14px 0 #cfcfcf;
}

@media screen and (max-width: 1420px) {
  body {
    font-size: 16px;
  }
  .img-1 {
    width: 260px;
  }
  .img-2 {
    width: 260px;
  }
  .header {
    font-size: 3.8em;
  }
  .sub-header {
    font-size: 1.3em;
  }
}

@media screen and (max-width: 1200px) {
  body {
    font-size: 14px;
  }
  .img-1 {
    width: 220px;
  }
  .img-2 {
    width: 220px;
  }
}

@media screen and (max-width: 900px) {
  .img-1 {
    width: 220px;
  }
  .img-2 {
    width: 220px;
  }
  .logo {
    height: 3em;
    width: 3em;
  }
  h1 {
    font-size: 1.5em;
  }
  .buy-coffee {
    display: none;
  }
  .main-content-container {
    flex-direction: column;
    padding: 30px 0;
  }
  .header {
    font-size: 2.5em;
  }
  .button-container {
    flex-direction: column;
    width: 100%;
    margin-top: 0;
  }
  .download-button:disabled {
    width: 100%;
    justify-content: center;
    gap: 20px;
  }
  .download-button {
    width: 100%;
    justify-content: center;
    gap: 20px;
  }
  .right-section {
    display: none;
  }
  .mobile-image-container {
    display: flex;
  }
}
